Skip to main content

Get a policy configuration

GET 

/nevisidm/api/core/v1/:clientExtId/policies/:extId

Since: 2.79.0

Required permission(s): AccessControl.PolicyView

Returns the policy configuration with the given external ID, belonging to the specified client.

The response includes all policy attributes and the configured policy parameters as name-value pairs.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    extId stringrequired

    External ID of the policy configuration.

    Example: policy-123

Responses

Policy configuration found

Schema
    defaultPolicy boolean

    Whether this policy is the default policy for its type within the client.

    description string

    The textual description of the policy.

    name string

    The name of the policy.

    parameters object

    Lists the policy parameters assigned to the policy configuration. The parameters are represented as name-value pairs.

    For further information about credential related policy parameters, visit Configuration > Credentials > Policy parameters in nevisIDM Documentation.

    For further information about non-credential related policy Parameters, visit Configuration > Components > Parameters of policies in nevisIDM Documentation.

    property name* string
    version int32

    The version used for optimistic locking.

    clientExtId string

    The external ID of the client to which the policy belongs.

    created string

    The creation date of the policy configuration.

    extId string

    The external ID of the policy configuration.

    lastModified string

    The date when the policy configuration was last modified.

    policyType string

    Possible values: [PwdPolicy, OTPCardPolicy, TicketPolicy, TempStrongPasswordPolicy, CertificatePolicy, GenericCredentialPolicy, TANPolicy, VascoPolicy, PUKPolicy, URLTicketPolicy, DevicePasswordPolicy, MobileSignaturePolicy, SAMLFederationPolicy, SecurityQuestionsPolicy, ContextPasswordPolicy, OpenAuthenticationPolicy, ProfilePolicy, ClientPolicy, UnitPolicy, FidoUafPolicy]

    The type of the policy. Determines which credential or component the policy applies to.

Loading...